QgsFieldExpressionWidget should show expressions in italics
Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Edit widget

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18706

Description

It would be a nice touch if QgsFieldExpressionWidget showed the expression row in a different font style (eg italic), or a different color, so

that it's differentiated from the layer's columns. Otherwise it's a little confusing when the currently selected column appears twice in the

list - one for the column, and once at the end for the expression value.

History

#1 - 2014-05-15 01:39 AM - Denis Rouzaud

It does, but it's apparently overwritten by the OS.

https://cloud.githubusercontent.com/assets/127259/2981824/698ecd58-dc0c-11e3-91fc-ec84ce16e3f7.png

#2 - 2014-06-01 04:11 PM - Nathan Woodrow

Nyall I have fixed #10402 does this ticket still apply now?  Column names will not be repeated when selected.

#3 - 2014-06-02 10:43 PM - Denis Rouzaud

On ubuntu, it's in italic in the data defined properties dialog, but not in the other places (with today's master).

Not sure why.

It might be the option dialog style that overwrites this?

#4 - 2014-06-20 08:49 AM - Jürgen Fischer

- Category set to Edit widget

#5 - 2014-06-22 10:08 PM - Denis Rouzaud

- Status changed from Open to Feedback

#6 - 2014-06-22 11:51 PM - Nyall Dawson

- Status changed from Feedback to Closed

This can be closed now that the duplicate entry has been removed.
